cdrestore(1)

NAME

cdrestore - Streaming restore from CD-R(W)/DVD-R(W)

SYNOPSIS

cdrestore [-qvDFRTV] [-d device] [-i image] [-l size]
          [-t track] [-c command]

DESCRIPTION

cdrestore is a utility to make streaming restores from CD-R(W)/DVD-R(W) disks. It's designed to work with any backup tool which is able to restore from stdin (like tar/cpio/afio).

OPTIONS

-d device
    The device name which is used for reading the backup.
    (default: /dev/cdrom)

-i image
    Enables virtual image mode. The backup stream is read from the given image file. You have to use this option, if you are restoring from a dumped image too.
    (default: none)

-l size
    Specifies the media size. This value is used to display the free space on the media only.
    By default the given value is taken as megabytes. You can append a single letter to the number to select: (k)ilobytes, (m)egabytes, (g)igabytes or (s)ectors (e.g. 170k, 4488m, 350000s).
    (default: 650m)

-t track
    The number of the data track on the media for reading the backup.
    (default: none)

-T  Enables test mode. The complete restore process is done to test data integrity (includes CRC checksum test, if available), but no data is output.
    NOTE: This only verifies that the data is readable by cdrestore at all. This doesn't guarantee that your backup software will be able to do a real restore with the data.

-F  Forces cdrestore to begin the restore in the middle of a multi-disk set. This may be useful if you have lost a disk or a disk is badly damaged.
    NOTE: This will most probably start the restore in the middle of a file. It's up to your backup software to sync to the beginning of the next file.

-R  Disable the kernel readahead for the CDROM device during the restore process. (see cdbackup(1) Known problems)

-c command
    The command which is executed whenever cdrestore needs to request a new media for multi-disk backups. This command (or script) should prompt the user and return after the device is ready again. The command receives one argument, which is the device name passed with -d. This can be used to issue commands to the device like ejecting the media.
    (default: use internal diskchange prompt)

-q  Queries the media, prints out the contents and exits.

-v  Enables verbose mode.

-D  Enables DEBUG output (probably not useful for normal use).

-V  Prints out version information and exits.

EXAMPLES

Query the 700 MB media on /dev/sr0:

    cdrestore -d /dev/sr0 -l 700 -q

Restore a tar archive to the current directory from track 2 of a 702 MB media on /dev/scd0:

    cdrestore -d /dev/scd0 -l 702 -t 2 | tar xf -

Query the contents of a virtual image:

    cdrestore -i /tmp/vimage -l 4488m -q

Check data integrity of track 3 in a virtual image after dumping it to DVD media:

    cdrestore -i /dev/dvd -t 3 -T

AUTHORS

Stefan Huelswitt <s.huelswitt@gmx.de>

SEE ALSO

cdbackup(1)

LICENSE
Copyright (c) 2000-2012 Craig Condit, Stefan Huelswitt.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

1.  Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.

2.  Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.